Index: library/doc/html/inherit__graph__12.dot
===================================================================
--- library/doc/html/inherit__graph__12.dot (revision 608)
+++ library/doc/html/inherit__graph__12.dot (revision 614)
@@ -4,4 +4,4 @@
   node [fontname="FreeSans",fontsize="10",shape=record];
   rankdir=LR;
-  Node1 [label="DIR",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$structDIR.html"];
+  Node1 [label="bdm::UIFile",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1UIFile.html",tooltip="This class serves to load and/or save user-infos into/from configuration files stored..."];
 }
Index: library/doc/html/inherit__graph__11.md5
===================================================================
--- library/doc/html/inherit__graph__11.md5 (revision 608)
+++ library/doc/html/inherit__graph__11.md5 (revision 614)
@@ -1,1 +1,1 @@
-0224a475b59dfed76437b6e5c3f4498a
+675377fbbea9dc99a6425ffd9bcfdcf5
Index: library/doc/html/inherit__graph__7.md5
===================================================================
--- library/doc/html/inherit__graph__7.md5 (revision 608)
+++ library/doc/html/inherit__graph__7.md5 (revision 614)
@@ -1,1 +1,1 @@
-dbe73207f440926d830ac1e9db4fe45e
+4c2708ba9d62402245a55770146f88fe
Index: library/doc/html/inherit__graph__13.dot
===================================================================
--- library/doc/html/inherit__graph__13.dot (revision 608)
+++ library/doc/html/inherit__graph__13.dot (revision 614)
@@ -4,4 +4,4 @@
   node [fontname="FreeSans",fontsize="10",shape=record];
   rankdir=LR;
-  Node1 [label="dirent",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$structdirent.html"];
+  Node1 [label="DIR",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$structDIR.html"];
 }
Index: library/doc/html/inherit__graph__9.dot
===================================================================
--- library/doc/html/inherit__graph__9.dot (revision 608)
+++ library/doc/html/inherit__graph__9.dot (revision 614)
@@ -4,6 +4,4 @@
   node [fontname="FreeSans",fontsize="10",shape=record];
   rankdir=LR;
-  Node1 [label="bdm::UI",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1UI.html",tooltip="UI is an abstract class which collects all the auxiliary functions useful to prepare..."];
-  Node1 -> Node2 [dir=back,color="firebrick4",fontsize="10",style="solid",fontname="FreeSans"];
-  Node2 [label="bdm::ParticularUI\< T \>",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1ParticularUI.html"];
+  Node1 [label="bdm::str_aux",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$structbdm_1_1str__aux.html"];
 }
Index: library/doc/html/inherit__graph__12.md5
===================================================================
--- library/doc/html/inherit__graph__12.md5 (revision 608)
+++ library/doc/html/inherit__graph__12.md5 (revision 614)
@@ -1,1 +1,1 @@
-86d96883dd68fb07dbd9508bb7af8751
+0224a475b59dfed76437b6e5c3f4498a
Index: library/doc/html/inherit__graph__14.dot
===================================================================
--- library/doc/html/inherit__graph__14.dot (revision 608)
+++ library/doc/html/inherit__graph__14.dot (revision 614)
@@ -4,4 +4,4 @@
   node [fontname="FreeSans",fontsize="10",shape=record];
   rankdir=LR;
-  Node1 [label="itpp::RandunStorage",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classitpp_1_1RandunStorage.html"];
+  Node1 [label="dirent",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$structdirent.html"];
 }
Index: library/doc/html/inherit__graph__13.md5
===================================================================
--- library/doc/html/inherit__graph__13.md5 (revision 608)
+++ library/doc/html/inherit__graph__13.md5 (revision 614)
@@ -1,1 +1,1 @@
-aaf2b2124244fa4d5003050b3728d909
+86d96883dd68fb07dbd9508bb7af8751
Index: library/doc/html/inherit__graph__9.md5
===================================================================
--- library/doc/html/inherit__graph__9.md5 (revision 608)
+++ library/doc/html/inherit__graph__9.md5 (revision 614)
@@ -1,1 +1,1 @@
-9378053fd56cadda7e70cf99ae8f6714
+52fd92e42d593197abbfb510cc55102d
Index: library/doc/html/inherit__graph__15.dot
===================================================================
--- library/doc/html/inherit__graph__15.dot (revision 608)
+++ library/doc/html/inherit__graph__15.dot (revision 614)
@@ -4,4 +4,4 @@
   node [fontname="FreeSans",fontsize="10",shape=record];
   rankdir=LR;
-  Node1 [label="UImxArray",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classUImxArray.html",tooltip="Class for writing Settings into Matlab&#39;s mxArray."];
+  Node1 [label="itpp::RandunStorage",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classitpp_1_1RandunStorage.html"];
 }
Index: library/doc/html/inherit__graph__14.md5
===================================================================
--- library/doc/html/inherit__graph__14.md5 (revision 608)
+++ library/doc/html/inherit__graph__14.md5 (revision 614)
@@ -1,1 +1,1 @@
-f119ba963eeec3442e2bc9dc88f09205
+aaf2b2124244fa4d5003050b3728d909
Index: library/doc/html/formula.repository
===================================================================
--- library/doc/html/formula.repository (revision 608)
+++ library/doc/html/formula.repository (revision 614)
@@ -141,2 +141,19 @@
 \form#140:$ V_t , \nu_t $
 \form#141:$ \phi<1 $
+\form#142:$ f(a)$
+\form#143:$ a $
+\form#144:$ f(a) $
+\form#145:$ f(x_t |d_1 \ldots d_t)$
+\form#146:$ d $
+\form#147:\[ y_t \sim \mathcal{N}( a y_{t-3} + b u_{t-1}, r) \]
+\form#148:$ a,b $
+\form#149:$ r $
+\form#150:$ y_{t-3}$
+\form#151:$ u_{t-1}$
+\form#152:$ u $
+\form#153:$ f(y_{t}|y_{t-3},u_{t-1})$
+\form#154:\[ u_t \sim \mathcal{N}(0, r_u) \]
+\form#155:\[ f(y_{t},u_{t}|y_{t-3},u_{t-1}) = f(y_{t}|y_{t-3},u_{t-1})f(u_{t}) \]
+\form#156:$ f(a|b)$
+\form#157:$ f(u_t)$
+\form#158:$ f(u_t| \{\})$
Index: library/doc/html/inherit__graph__16.dot
===================================================================
--- library/doc/html/inherit__graph__16.dot (revision 608)
+++ library/doc/html/inherit__graph__16.dot (revision 614)
@@ -4,4 +4,4 @@
   node [fontname="FreeSans",fontsize="10",shape=record];
   rankdir=LR;
-  Node1 [label="UImxConfig",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classUImxConfig.html",tooltip="Reimplementation of libconfig&#39;s Config class for Matlab mxArray structures."];
+  Node1 [label="UImxArray",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classUImxArray.html",tooltip="Class for writing Settings into Matlab&#39;s mxArray."];
 }
Index: library/doc/html/inherit__graph__15.md5
===================================================================
--- library/doc/html/inherit__graph__15.md5 (revision 608)
+++ library/doc/html/inherit__graph__15.md5 (revision 614)
@@ -1,1 +1,1 @@
-9f4f7a54971427f9bde2972e5a2ba40d
+f119ba963eeec3442e2bc9dc88f09205
Index: library/doc/html/inherit__graph__17.dot
===================================================================
--- library/doc/html/inherit__graph__17.dot (revision 614)
+++ library/doc/html/inherit__graph__17.dot (revision 614)
@@ -0,0 +1,7 @@
+digraph G
+{
+  edge [fontname="FreeSans",fontsize="10",labelfontname="FreeSans",labelfontsize="10"];
+  node [fontname="FreeSans",fontsize="10",shape=record];
+  rankdir=LR;
+  Node1 [label="UImxConfig",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classUImxConfig.html",tooltip="Reimplementation of libconfig&#39;s Config class for Matlab mxArray structures."];
+}
Index: library/doc/html/inherit__graph__16.md5
===================================================================
--- library/doc/html/inherit__graph__16.md5 (revision 608)
+++ library/doc/html/inherit__graph__16.md5 (revision 614)
@@ -1,1 +1,1 @@
-4a691ebf11f6a0ad02dda73c0c8bfac0
+9f4f7a54971427f9bde2972e5a2ba40d
Index: library/doc/html/inherit__graph__10.dot
===================================================================
--- library/doc/html/inherit__graph__10.dot (revision 608)
+++ library/doc/html/inherit__graph__10.dot (revision 614)
@@ -4,8 +4,6 @@
   node [fontname="FreeSans",fontsize="10",shape=record];
   rankdir=LR;
-  Node1 [label="bdm::UIException",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1UIException.html"];
-  Node1 -> Node2 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
-  Node2 [label="bdm::UIClassException",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1UIClassException.html"];
-  Node1 -> Node3 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
-  Node3 [label="bdm::UISettingException",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1UISettingException.html"];
+  Node1 [label="bdm::UI",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1UI.html",tooltip="UI is an abstract class which collects all the auxiliary functions useful to prepare..."];
+  Node1 -> Node2 [dir=back,color="firebrick4",fontsize="10",style="solid",fontname="FreeSans"];
+  Node2 [label="bdm::ParticularUI\< T \>",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1ParticularUI.html"];
 }
Index: library/doc/html/inherit__graph__17.md5
===================================================================
--- library/doc/html/inherit__graph__17.md5 (revision 614)
+++ library/doc/html/inherit__graph__17.md5 (revision 614)
@@ -0,0 +1,1 @@
+4a691ebf11f6a0ad02dda73c0c8bfac0
Index: library/doc/html/inherit__graph__11.dot
===================================================================
--- library/doc/html/inherit__graph__11.dot (revision 608)
+++ library/doc/html/inherit__graph__11.dot (revision 614)
@@ -4,4 +4,8 @@
   node [fontname="FreeSans",fontsize="10",shape=record];
   rankdir=LR;
-  Node1 [label="bdm::UIFile",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1UIFile.html",tooltip="This class serves to load and/or save user-infos into/from configuration files stored..."];
+  Node1 [label="bdm::UIException",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1UIException.html"];
+  Node1 -> Node2 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
+  Node2 [label="bdm::UIClassException",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1UIClassException.html"];
+  Node1 -> Node3 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
+  Node3 [label="bdm::UISettingException",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1UISettingException.html"];
 }
Index: library/doc/html/inherit__graph__7.dot
===================================================================
--- library/doc/html/inherit__graph__7.dot (revision 608)
+++ library/doc/html/inherit__graph__7.dot (revision 614)
@@ -56,5 +56,5 @@
   Node26 [label="bdm::ArxDS",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1ArxDS.html",tooltip="Generator of ARX data."];
   Node25 -> Node27 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
-  Node27 [label="bdm::EpdfDS",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1EpdfDS.html",tooltip="Simulate data from a static pdf Trivial example of a data source, could be used for..."];
+  Node27 [label="bdm::EpdfDS",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1EpdfDS.html",tooltip="Simulate data from a static pdf (epdf)."];
   Node25 -> Node28 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
   Node28 [label="bdm::MemDS",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1MemDS.html",tooltip="Memory storage of off-line data column-wise."];
@@ -137,65 +137,67 @@
   Node65 -> Node67 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
   Node67 [label="bdm::mexlog",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mexlog.html",tooltip="Logger storing results into an mxArray."];
-  Node1 -> Node68 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
-  Node68 [label="bdm::mpdf",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mpdf.html",tooltip="Conditional probability density, e.g. modeling , where  is random variable, rv, and..."];
-  Node68 -> Node69 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
-  Node69 [label="bdm::mepdf",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mepdf.html",tooltip="Unconditional mpdf, allows using epdf in the role of mpdf."];
-  Node68 -> Node70 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
-  Node70 [label="bdm::mmix",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mmix.html",tooltip="Mixture of mpdfs with constant weights, all mpdfs are of equal RV and RVC."];
-  Node68 -> Node71 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
-  Node71 [label="bdm::mpdf_internal\< EPDF \>",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mpdf__internal.html",tooltip="Mpdf with internal epdf that is modified by function condition."];
-  Node68 -> Node72 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
-  Node72 [label="bdm::mprod",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mprod.html",tooltip="Chain rule decomposition of epdf."];
-  Node68 -> Node73 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
-  Node73 [label="bdm::mratio",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mratio.html",tooltip="Class representing ratio of two densities which arise e.g. by applying the Bayes..."];
-  Node68 -> Node74 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
-  Node74 [label="bdm::mpdf_internal\< egamma \>",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mpdf__internal.html"];
-  Node74 -> Node75 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
-  Node75 [label="bdm::mgamma",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mgamma.html",tooltip="Gamma random walk."];
+  Node65 -> Node68 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
+  Node68 [label="bdm::stdlog",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1stdlog.html",tooltip="Simple logger used for debugging All data records are written out to std from where..."];
+  Node1 -> Node69 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
+  Node69 [label="bdm::mpdf",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mpdf.html",tooltip="Conditional probability density, e.g. modeling , where  is random variable, rv, and..."];
+  Node69 -> Node70 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
+  Node70 [label="bdm::mepdf",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mepdf.html",tooltip="Unconditional mpdf, allows using epdf in the role of mpdf."];
+  Node69 -> Node71 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
+  Node71 [label="bdm::mmix",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mmix.html",tooltip="Mixture of mpdfs with constant weights, all mpdfs are of equal RV and RVC."];
+  Node69 -> Node72 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
+  Node72 [label="bdm::mpdf_internal\< EPDF \>",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mpdf__internal.html",tooltip="Mpdf with internal epdf that is modified by function condition."];
+  Node69 -> Node73 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
+  Node73 [label="bdm::mprod",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mprod.html",tooltip="Chain rule decomposition of epdf."];
+  Node69 -> Node74 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
+  Node74 [label="bdm::mratio",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mratio.html",tooltip="Class representing ratio of two densities which arise e.g. by applying the Bayes..."];
+  Node69 -> Node75 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
+  Node75 [label="bdm::mpdf_internal\< egamma \>",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mpdf__internal.html"];
   Node75 -> Node76 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
-  Node76 [label="bdm::mgamma_fix",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mgamma__fix.html",tooltip="Gamma random walk around a fixed point."];
-  Node68 -> Node77 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
-  Node77 [label="bdm::mpdf_internal\< eigamma \>",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mpdf__internal.html"];
-  Node77 -> Node78 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
-  Node78 [label="bdm::migamma",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1migamma.html",tooltip="Inverse-Gamma random walk."];
+  Node76 [label="bdm::mgamma",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mgamma.html",tooltip="Gamma random walk."];
+  Node76 -> Node77 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
+  Node77 [label="bdm::mgamma_fix",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mgamma__fix.html",tooltip="Gamma random walk around a fixed point."];
+  Node69 -> Node78 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
+  Node78 [label="bdm::mpdf_internal\< eigamma \>",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mpdf__internal.html"];
   Node78 -> Node79 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
-  Node79 [label="bdm::migamma_ref",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1migamma__ref.html",tooltip="Inverse-Gamma random walk around a fixed point."];
-  Node68 -> Node80 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
-  Node80 [label="bdm::mpdf_internal\< eiWishartCh \>",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mpdf__internal.html"];
-  Node80 -> Node81 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
-  Node81 [label="bdm::rwiWishartCh",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1rwiWishartCh.html",tooltip="Random Walk on inverse Wishart."];
-  Node68 -> Node82 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
-  Node82 [label="bdm::mpdf_internal\< elognorm \>",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mpdf__internal.html"];
-  Node82 -> Node83 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
-  Node83 [label="bdm::mlognorm",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mlognorm.html",tooltip="Log-Normal random walk."];
-  Node68 -> Node84 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
-  Node84 [label="bdm::mpdf_internal\< enorm\< ldmat \> \>",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mpdf__internal.html"];
-  Node84 -> Node85 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
-  Node85 [label="bdm::mlnorm\< ldmat, enorm \>",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mlnorm.html"];
+  Node79 [label="bdm::migamma",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1migamma.html",tooltip="Inverse-Gamma random walk."];
+  Node79 -> Node80 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
+  Node80 [label="bdm::migamma_ref",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1migamma__ref.html",tooltip="Inverse-Gamma random walk around a fixed point."];
+  Node69 -> Node81 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
+  Node81 [label="bdm::mpdf_internal\< eiWishartCh \>",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mpdf__internal.html"];
+  Node81 -> Node82 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
+  Node82 [label="bdm::rwiWishartCh",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1rwiWishartCh.html",tooltip="Random Walk on inverse Wishart."];
+  Node69 -> Node83 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
+  Node83 [label="bdm::mpdf_internal\< elognorm \>",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mpdf__internal.html"];
+  Node83 -> Node84 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
+  Node84 [label="bdm::mlognorm",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mlognorm.html",tooltip="Log-Normal random walk."];
+  Node69 -> Node85 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
+  Node85 [label="bdm::mpdf_internal\< enorm\< ldmat \> \>",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mpdf__internal.html"];
   Node85 -> Node86 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
-  Node86 [label="bdm::mlstudent",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mlstudent.html"];
-  Node68 -> Node87 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
-  Node87 [label="bdm::mpdf_internal\< enorm\< sq_T \> \>",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mpdf__internal.html"];
-  Node87 -> Node88 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
-  Node88 [label="bdm::mgnorm\< sq_T \>",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mgnorm.html",tooltip="Mpdf with general function for mean value."];
-  Node68 -> Node89 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
-  Node89 [label="bdm::mpdf_internal\< TEpdf\< sq_T \> \>",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mpdf__internal.html"];
-  Node89 -> Node90 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
-  Node90 [label="bdm::mlnorm\< sq_T, TEpdf \>",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mlnorm.html",tooltip="Normal distributed linear function with linear function of mean value;."];
-  Node1 -> Node91 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
-  Node91 [label="bdm::Participant",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1Participant.html",tooltip="Basic Participant."];
+  Node86 [label="bdm::mlnorm\< ldmat, enorm \>",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mlnorm.html"];
+  Node86 -> Node87 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
+  Node87 [label="bdm::mlstudent",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mlstudent.html"];
+  Node69 -> Node88 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
+  Node88 [label="bdm::mpdf_internal\< enorm\< sq_T \> \>",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mpdf__internal.html"];
+  Node88 -> Node89 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
+  Node89 [label="bdm::mgnorm\< sq_T \>",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mgnorm.html",tooltip="Mpdf with general function for mean value."];
+  Node69 -> Node90 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
+  Node90 [label="bdm::mpdf_internal\< TEpdf\< sq_T \> \>",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mpdf__internal.html"];
+  Node90 -> Node91 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
+  Node91 [label="bdm::mlnorm\< sq_T, TEpdf \>",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mlnorm.html",tooltip="Normal distributed linear function with linear function of mean value;."];
   Node1 -> Node92 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
-  Node92 [label="bdm::rectangular_support",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1rectangular__support.html"];
+  Node92 [label="bdm::Participant",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1Participant.html",tooltip="Basic Participant."];
   Node1 -> Node93 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
-  Node93 [label="bdm::RV",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1RV.html",tooltip="Class representing variables, most often random variables."];
-  Node1 -> Node94 [dir=back,color="firebrick4",fontsize="10",style="solid",fontname="FreeSans"];
-  Node94 [label="bdm::SettingResolver",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1SettingResolver.html",tooltip="This class serves to expand links used within configuration files."];
-  Node95 [label="bdm::StateSpace\< sq_T \>",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1StateSpace.html",tooltip="Basic elements of linear state-space model."];
-  Node95 -> Node7 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
-  Node96 [label="bdm::StateSpace\< chmat \>",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1StateSpace.html"];
-  Node96 -> Node12 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
-  Node97 [label="bdm::StateSpace\< fsqmat \>",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1StateSpace.html"];
-  Node97 -> Node98 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
-  Node98 [label="bdm::StateCanonical",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1StateCanonical.html",tooltip="conversion of outer ARX model (mlnorm) to state space model"];
-  Node97 -> Node18 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
+  Node93 [label="bdm::rectangular_support",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1rectangular__support.html"];
+  Node1 -> Node94 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
+  Node94 [label="bdm::RV",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1RV.html",tooltip="Class representing variables, most often random variables."];
+  Node1 -> Node95 [dir=back,color="firebrick4",fontsize="10",style="solid",fontname="FreeSans"];
+  Node95 [label="bdm::SettingResolver",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1SettingResolver.html",tooltip="This class serves to expand links used within configuration files."];
+  Node96 [label="bdm::StateSpace\< sq_T \>",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1StateSpace.html",tooltip="Basic elements of linear state-space model."];
+  Node96 -> Node7 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
+  Node97 [label="bdm::StateSpace\< chmat \>",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1StateSpace.html"];
+  Node97 -> Node12 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
+  Node98 [label="bdm::StateSpace\< fsqmat \>",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1StateSpace.html"];
+  Node98 -> Node99 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
+  Node99 [label="bdm::StateCanonical",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1StateCanonical.html",tooltip="conversion of outer ARX model (mlnorm) to state space model"];
+  Node98 -> Node18 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
 }
Index: library/doc/html/inherit__graph__10.md5
===================================================================
--- library/doc/html/inherit__graph__10.md5 (revision 608)
+++ library/doc/html/inherit__graph__10.md5 (revision 614)
@@ -1,1 +1,1 @@
-675377fbbea9dc99a6425ffd9bcfdcf5
+9378053fd56cadda7e70cf99ae8f6714
